/*Write your custom css in this file.*/

/* DKRFIX Logo img dimensions and padding */
a.sidebar-brand.brand-logo > img.dashboard-image {
    /*noinspection CssInvalidPropertyValue*/
    image-rendering: -webkit-optimize-contrast;
    width: 250px;
    margin-top: 3px;
}

.sidebar-brand {
    padding: 0;
}

.sidebar .sidebar-brand.brand-logo {
    padding: 0 !important;
    width: 225px !important;
    box-shadow: none !important;
}


/* DKR FIX select2 in ticket view which otherwise overlays modals */
#comment-form-container .select2-search {
    z-index: 100;
}

/* Fix for Ticket modal form:
    Select2 is adding style="width: auto" and overriding the following app css => let's make it important.
    This bugfix is probably going to generate other bugs? Let's find out!  */
.general-form .select2 {
    width: 100% !important;
}


/* BEGIN DKR HIDEGATTIFIX */
.widget-container > a[href="https://hub.dkr.srl/index.php/events"],
.widget-container > a[href="https://hub.dkr.srl/index.php/timeline"],
.project_and_clock_status_widget,
ul.navbar-nav > li.nav-item > a#quick-add-icon,
.dkr_hidegattifix {
    display: none !important;
    visibility: hidden !important;
}

/* END DKR HIDEGATTIFIX */

#projects-quick-list-container > div {
    max-height: max(50px, 60dvh);
    overflow-y: auto;
}

#projects-quick-list-container > div > a {
    overflow: hidden;
    text-overflow: ellipsis;
    flex: 0 0 fit-content;
}

.modal-content {
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2), 0 0 0 3000px rgba(0, 0, 0, 0.2);
}

/* task #2369: Chiedere conferma prima di marcare un task come DONE? Nope. Let's just hide the checkboxes */
a[data-act="update-task-status-checkbox"],
a[data-act="update-sub-task-status-checkbox"] {
    display: none;
    visibility: hidden;
}


.table-column-selected {
    --bs-table-bg: rgba(13, 202, 240, 0.6);
}

/* Task #6873: Sticky filters for Sales page */
#page-content > .card > .page-title.dkr-add-sticky-header {
    position: sticky;
    top: 0;
    z-index: 500;
    background: white;
    padding-top: 10px;
    border-bottom: 2px solid #52c9e8;
}
